efl::gfx::shape Struct Reference

Public Member Functions | Static Public Member Functions
efl::gfx::shape Struct Reference

Class shape. More...

## Public Member Functions
| shape (Eo *eo)
| Eo Constructor. More...
| shape (std::nullptr_t)
| nullptr_t Constructor. More...
| shape (shape const &other)
| Copy Constructor.
void | dup (::eo::base dup_from_) const
void | bounds_get (Eina_Rectangle *r_) const
void | reset () const
void | append_move_to (double x_, double y_) const
void | append_line_to (double x_, double y_) const
void | append_quadratic_to (double x_, double y_, double ctrl_x_, double ctrl_y_) const
void | append_squadratic_to (double x_, double y_) const
void | append_cubic_to (double ctrl_x0_, double ctrl_y0_, double ctrl_x1_, double ctrl_y1_, double x_, double y_) const
void | append_scubic_to (double x_, double y_, double ctrl_x_, double ctrl_y_) const
void | append_arc_to (double x_, double y_, double rx_, double ry_, double angle_, bool large_arc_, bool sweep_) const
void | append_close () const
void | append_circle (double x_, double y_, double radius_) const
void | append_rect (double x_, double y_, double w_, double h_, double rx_, double ry_) const
void | append_svg_path (::efl::eina::string_view svg_path_data_) const
bool | interpolate (::eo::base from_, ::eo::base to_, double pos_map_) const
bool | equal_commands (::eo::base with_) const
double | stroke_scale_get () const
void | stroke_scale_set (double s_) const
void | stroke_color_get (int *r_, int *g_, int *b_, int *a_) const
void | stroke_color_set (int r_, int g_, int b_, int a_) const
double | stroke_width_get () const
void | stroke_width_set (double w_) const
double | stroke_location_get () const
void | stroke_location_set (double centered_) const
void | stroke_dash_get (const Efl_Gfx_Dash **dash_, unsigned int *length_) const
void | stroke_dash_set (const Efl_Gfx_Dash *dash_, unsigned int length_) const
Efl_Gfx_Cap | stroke_cap_get () const
void | stroke_cap_set (Efl_Gfx_Cap c_) const
Efl_Gfx_Join | stroke_join_get () const
void | stroke_join_set (Efl_Gfx_Join j_) const
Efl_Gfx_Fill_Rule | fill_rule_get () const
void | fill_rule_set (Efl_Gfx_Fill_Rule fill_rule_) const
void | path_get (const Efl_Gfx_Path_Command **op_, const double **points_) const
void | path_set (const Efl_Gfx_Path_Command *op_, const double *points_) const
void | path_length_get (unsigned int *commands_, unsigned int *points_) const
void | current_get (double *x_, double *y_) const
void | current_ctrl_get (double *x_, double *y_) const
| shape (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::shape object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class shape.

## Constructor & Destructor Documentation

## ◆ shape() [1/3]

efl::gfx::shape::shape | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new efl::gfx::shape object.

Constructs a new efl::gfx::shape object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

efl::gfx::shape my_shape(efl::eo::parent = parent_object);

See also
  shape(Eo* eo)

References efl::eo::parent.

## ◆ shape() [2/3]

efl::gfx::shape::shape | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ shape() [3/3]

efl::gfx::shape::shape | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ dup()

void efl::gfx::shape::dup | ( | ::eo::base | dup_from_ | ) | const

Parameters

  dup_from |

## ◆ bounds_get()

void efl::gfx::shape::bounds_get | ( | Eina_Rectangle * | r_ | ) | const

Parameters

  [out] | r |

## ◆ append_move_to()

void efl::gfx::shape::append_move_to | ( | double | x_,
|  | double | y_
| ) |  | const

Parameters

  x |
  y |

## ◆ append_line_to()

void efl::gfx::shape::append_line_to | ( | double | x_,
|  | double | y_
| ) |  | const

Parameters

  x |
  y |

## ◆ append_quadratic_to()

void efl::gfx::shape::append_quadratic_to | ( | double | x_,
|  | double | y_,
|  | double | ctrl_x_,
|  | double | ctrl_y_
| ) |  | const

Parameters

  x |
  y |
  ctrl_x |
  ctrl_y |

## ◆ append_squadratic_to()

void efl::gfx::shape::append_squadratic_to | ( | double | x_,
|  | double | y_
| ) |  | const

Parameters

  x |
  y |

## ◆ append_cubic_to()

void efl::gfx::shape::append_cubic_to | ( | double | ctrl_x0_,
|  | double | ctrl_y0_,
|  | double | ctrl_x1_,
|  | double | ctrl_y1_,
|  | double | x_,
|  | double | y_
| ) |  | const

Parameters

  ctrl_x0 |
  ctrl_y0 |
  ctrl_x1 |
  ctrl_y1 |
  x |
  y |

## ◆ append_scubic_to()

void efl::gfx::shape::append_scubic_to | ( | double | x_,
|  | double | y_,
|  | double | ctrl_x_,
|  | double | ctrl_y_
| ) |  | const

Parameters

  x |
  y |
  ctrl_x |
  ctrl_y |

## ◆ append_arc_to()

void efl::gfx::shape::append_arc_to | ( | double | x_,
|  | double | y_,
|  | double | rx_,
|  | double | ry_,
|  | double | angle_,
|  | bool | large_arc_,
|  | bool | sweep_
| ) |  | const

Parameters

  x |
  y |
  rx |
  ry |
  angle |
  large_arc |
  sweep |

## ◆ append_circle()

void efl::gfx::shape::append_circle | ( | double | x_,
|  | double | y_,
|  | double | radius_
| ) |  | const

Parameters

  x |
  y |
  radius |

## ◆ append_rect()

void efl::gfx::shape::append_rect | ( | double | x_,
|  | double | y_,
|  | double | w_,
|  | double | h_,
|  | double | rx_,
|  | double | ry_
| ) |  | const

Parameters

  x |
  y |
  w |
  h |
  rx |
  ry |

## ◆ append_svg_path()

void efl::gfx::shape::append_svg_path | ( | ::efl::eina::string_view | svg_path_data_ | ) | const

Parameters

  svg_path_data |

## ◆ interpolate()

bool efl::gfx::shape::interpolate | ( | ::eo::base | from_,
|  | ::eo::base | to_,
|  | double | pos_map_
| ) |  | const

Parameters

  from |
  to |
  pos_map |

## ◆ equal_commands()

bool efl::gfx::shape::equal_commands | ( | ::eo::base | with_ | ) | const

Parameters

  with |